Get category

GET
/v1/knowledge/categories/{categoryId}

Get a knowledge category by id

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

categoryId*string
Formatuuid

Query Parameters

language?string

Language in which the article translations will be returned. If not provided, the default language will be used.

Response Body

The category

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/knowledge/categories/{categoryId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"isDefaultLocation": true,
"isLocked": false,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "222e4567-e89b-12d3-a456-426614174111",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}